McastServiceMBean (Apache Tomcat 8.5.87 API Documentation)

Package org.apache.catalina.tribes.membership

## Interface McastServiceMBean

- All Known Implementing Classes:
    `McastService`

      public interface McastServiceMBean

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Member` | `findMemberByName​(java.lang.String name)` |
    `java.lang.String` | `getAddress()` |
    `java.lang.String` | `getBind()` |
    `byte[]` | `getDomain()` |
    `long` | `getDropTime()` |
    `long` | `getFrequency()` |
    `boolean` | `getLocalLoopbackDisabled()` |
    `java.lang.String` | `getLocalMemberName()` |
    `java.lang.String[]` | `getMembersByName()` |
    `int` | `getPort()` |
    `java.util.Properties` | `getProperties()` |
    `int` | `getRecoveryCounter()` |
    `boolean` | `getRecoveryEnabled()` |
    `long` | `getRecoverySleepTime()` |
    `int` | `getSoTimeout()` |
    `int` | `getTtl()` |
    `boolean` | `hasMembers()` |

- - ### Method Detail

    - #### getAddress

          java.lang.String getAddress()

    - #### getPort

          int getPort()

    - #### getFrequency

          long getFrequency()

    - #### getDropTime

          long getDropTime()

    - #### getBind

          java.lang.String getBind()

    - #### getTtl

          int getTtl()

    - #### getDomain

          byte[] getDomain()

    - #### getSoTimeout

          int getSoTimeout()

    - #### getRecoveryEnabled

          boolean getRecoveryEnabled()

    - #### getRecoveryCounter

          int getRecoveryCounter()

    - #### getRecoverySleepTime

          long getRecoverySleepTime()

    - #### getLocalLoopbackDisabled

          boolean getLocalLoopbackDisabled()

    - #### getLocalMemberName

          java.lang.String getLocalMemberName()

    - #### getProperties

          java.util.Properties getProperties()

    - #### hasMembers

          boolean hasMembers()

    - #### getMembersByName

          java.lang.String[] getMembersByName()

    - #### findMemberByName

          Member findMemberByName​(java.lang.String name)